#!/bin/tcsh 
#
# A script to install the files etc into the correct directory,
# changing their suffixes so that it matches the PSR standards (ie. as
# expected by the makefiles and so on).

set PSRDEST="/pulsar/psr/pvo"

echo Copying to $PSRDEST

rm -rf $PSRDEST/Makefile $PSRDEST/*.C $PSRDEST/*.hh

cp Makefile.psr           $PSRDEST/Makefile
cp pvoconvert.cc      $PSRDEST/pvoconvert.C
cp pvosummary.cc      $PSRDEST/pvosummary.C
cp pvotapesummary.cc  $PSRDEST/pvotapesummary.C
cp pvoconesearch.cc   $PSRDEST/pvoconesearch.C
cp pvofixfilename.cc  $PSRDEST/pvofixfilename.C
cp pvo-header.cc      $PSRDEST/pvo-header.C
cp pvo-block.cc       $PSRDEST/pvo-block.C
cp pvo-FITS.cc        $PSRDEST/pvo-FITS.C
cp pvo-FITS-fileIO.cc $PSRDEST/pvo-FITS-fileIO.C
cp pvo-utils.cc       $PSRDEST/pvo-utils.C
cp pvo-metadata.cc    $PSRDEST/pvo-metadata.C
cp *.hh               $PSRDEST
